Bug 875006 - excessive cpu usage if a file with a left parenthesis exists in /etc/sysconfig/network-scripts
excessive cpu usage if a file with a left parenthesis exists in /etc/sysconfi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Laine Stump
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 04:58 EST by Alon Levy
Modified: 2014-08-04 18:09 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 15:00:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alon Levy 2012-11-09 04:58:00 EST
Description of problem:
This is actually a problem of netcf which libvirt uses to count the number of interfaces, but it results in a libvirt problem so I think it should be solved here as well, by not using too much cpu in the case netcf fails repeatedly.

Version-Release number of selected component (if applicable):
libvirt-daemon-0.10.2.1-2.fc18.x86_64
netcf-libs-0.2.2-1.fc18.x86_64
augeas-0.10.0-5.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. sudo touch /etc/sysconfig/network-scripts/ifcfg-\(
  
Actual results:
top shows libvirt using 40% cpu

Expected results:
no significant change in cpu usage

Additional info:
The fault path is actually in augeas usage by netcf, and most of the cpu is in regexp code in glibc per perf record.

I couldn't grok the augeas code so I just started removing the ifcfg files until finding the faulty one.
Comment 1 Cole Robinson 2013-12-16 15:00:31 EST
This doesn't seem to be an issue with F20 at least, and given that F18 is EOL real soon, just closing

Note You need to log in before you can comment on or make changes to this bug.